Bug 24176 - ddcprobe calls BIOS with wrong args.
ddcprobe calls BIOS with wrong args.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-16 20:08 EST by Red Hat Bugzilla
Modified: 2014-03-16 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-17 13:20:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2001-01-16 20:08:51 EST
ddcprobe in kudzu and anaconda calls VESA BIOS with wrong args:

--- kudzu-0.89.1/ddcprobe/vbe.c.vbe     Tue Jan 16 15:31:38 2001
+++ kudzu-0.89.1/ddcprobe/vbe.c Tue Jan 16 15:38:43 2001
@@ -187,8 +187,8 @@ int vbe_get_edid_supported()
        memset(&regs, 0, sizeof(regs));
        regs.eax = 0x4f15;
        regs.ebx = 0x0000;
-       regs.es = 0x3000;
-       regs.edi = 0x3000;
+       regs.es = 0x0000;
+       regs.edi = 0x0000;
 
        /* Do it. */
        iopl(3);

Here is my change, which is similar to what XFree86 4.0.2 uses.


H.J.
Comment 1 Red Hat Bugzilla 2001-01-17 13:20:01 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Red Hat Bugzilla 2001-02-01 16:57:35 EST
Will be fixed in 0.92.1-1, when it's built.

Note You need to log in before you can comment on or make changes to this bug.